### Enumeration

# Pango Alignment

#### Declaration

    enum Pango.Alignment

#### Description [src]

`PangoAlignment` describes how to align the lines of a `PangoLayout` within the available space.

If the `PangoLayout` is set to justify using `pango_layout_set_justify()`, this only affects partial lines.

See `pango_layout_set_auto_dir()` for how text direction affects the interpretation of `PangoAlignment` values.

#### Members

Name | Description
--- | ---
`PANGO_ALIGN_LEFT` | Put all available space on the right.
`PANGO_ALIGN_CENTER` | Center the line within the available space.
`PANGO_ALIGN_RIGHT` | Put all available space on the left.